Forum:AutoCAD ObjectARX und .NET
Thema:mText mit BackgroundFill
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge bearbeiten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
Singo77

Beiträge: 1 / 0

Autocad 2016 64bit, Visual Studio 2013

Hallo,

ich habe beschäftige mich erst seit kurzen mit der Autocad (2016) Programmierung und habe ein Problem mit dem erzeugen es farbigen Hintergrundes zu einem mText und habe nach inensiver Recherche werde hier noch im Netz etwas gefunden.

Ich erzeuge erfolgreich (nach speichern in der DWG sichtbar) einen Mtext und schalte den Hintergrund ein

  Dim mText As Autodesk.AutoCAD.Interop.Common.AcadMText
  ...
  mText = poAcApp.ActiveDocument.ModelSpace.AddMText(mPoint, 0, sText)
  ...
  mText.BackgroundFill = True

Wie kann ich den Randversatz und die Farbe der Füllung verändern, anscheinend werden Standardeinstellungen (Randversatz 1.5 und Farbe des Zeichnungshintergrunds) verwendet.

Für Tips wäre ich dankbar, Ingo.

Ingenieur Studio HOLLAUS

Beiträge: 969 / 0

Autocad 2 bis Autocad 2018 (+Map3D, +Civil3D, +Infraworks)
RKV, HMap , OoC

probier mal .BackgroundScaleFactor

------------------


www.cars4fun.at

cadffm

Beiträge: 17717 / 367

System: F1
und Google

Du kannst dir doch von jedem Objekt die Eigenschaften ansehen


Ich verlinke mal einen Thread aus dem Forum, als "dumme" Hilfe
http://forum.cad.de/foren/ubb/Forum352/HTML/000733.shtml

Und hier ein Weg für vorhandene Objekte, wie man sehr viele Fragen dieser Art sich selbst beantworten kann.
So könnte man auch zwei Objekte mit ähnlichen Eigenschaften "vergleichen"
http://spiderinnet1.typepad.com/blog/2012/01/using-c-to-print-out-properties-of-autocad-net-dbobject-or-entity.html

Das liefert nicht bei allen Dingen die gesuchte Antwort, denn nicht alles ist eine Objekteigenschaft.
Für den konkreten Fall aber schon.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

(c)2017 CAD.de